Bug 427801 - Addons disappear from the list of updateable addons before the update is really completed
Summary: Addons disappear from the list of updateable addons before the update is real...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-knewstuff
Classification: Unclassified
Component: general (show other bugs)
Version: 5.75.0
Platform: Archlinux Packages Linux
: NOR minor
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-16 13:25 UTC by Patrick Silva
Modified: 2020-11-28 04:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.77


Attachments
screen recording (2.49 MB, video/webm)
2020-10-16 13:25 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-10-16 13:25:16 UTC
Created attachment 132409 [details]
screen recording

SUMMARY
Watch the attached screen recording please.
Mondrian color scheme immediately disappears from the list of updateable addons
when I click on its "Update" button, inducing me to think that the addon was successfully updated. But a dialog appears after a few seconds asking if I want to overwrite a file.

EXPECTED RESULT
the addon should disappear from the list of updateable addons only after it to be successfully updated.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.20.0
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Comment 1 Bug Janitor Service 2020-11-26 19:40:22 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/knewstuff/-/merge_requests/73
Comment 2 Alexander Lohnau 2020-11-27 08:23:50 UTC
Git commit 84c9d992277d3659139a7c7482e8ff1dd3dd44f3 by Alexander Lohnau.
Committed on 27/11/2020 at 08:23.
Pushed by alex into branch 'master'.

Fix entry disappearing too early from updatable page
FIXED-in: 5.77

M  +2    -1    src/qtquick/quickitemsmodel.cpp

https://invent.kde.org/frameworks/knewstuff/commit/84c9d992277d3659139a7c7482e8ff1dd3dd44f3